/*
    This file is part of kenvy24 KDE multimedia utility
    Copyright (c) 2007  Valentin RUSU kenvy24@rusu.info

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License or (at
    your option) version 3 or, at the discretion of KDE e.V. (which shall
    act as a proxy as in section 14 of the GPLv3), any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef _MONITORIMPL_H_INCLUDED_
#define _MONITORIMPL_H_INCLUDED_

#include "ui_monitor.h"
#include "envystructs.h"

class MonitorImpl : public QWidget, Ui_Monitor {
    Q_OBJECT

  private:
    int   eventIndex;

  public:
    MonitorImpl( QWidget* parent, const char* name =0);

    void setCaption( const char* );
    void hideMuteButtons();

    void updateLevel( const StereoLevels& );
    void setEventIndex( int index ) { eventIndex = index; }

  public slots:
    void resetLevel();
    void timerTick();
    void levelUpdated( int, const StereoLevels& );
};


#endif // _MONITORIMPL_H_INCLUDED_
// kate: space-indent on; indent-width 4; replace-tabs on;
